// -*- coding: utf-8 -*-
// SDSS J122859.93+104032.9 White Dwarf with Ring
// Author: JackDole 
// Date: 2015.12.22 15:07:01

Star "SDSS J1228+1040/WD 1226+110"
{
	ParentBody	"SDSS J1228+1040 barycenter"
	Class		"DA"
	MassSol		0.75
	RadSol		0.005
	
	Age		0.18
	
	Orbit
	{
		Type		"Static"
	}
}

Planet	"Ring"
{
	ParentBody	"SDSS J1228+1040"
	Class		"Asteroid"
	Radius		1050000
	
	Oblateness	0.999
	
	RotationPeriod	5.951930
	
	Surface
	{
		DiffMap		"RingV.*"
		GlowMap		"RingV.*"
		GlowMode	"Permanent"
		GlowColor	(0.5 0.5 0.5)
		GlowBright	0.4
		DiffMapAlpha	"Transp"
	}
	
	NoClouds        false
	
	Clouds
	{
		Height		1000
		DiffMap		"Spirale.*"
		GlowMap		"Spirale.*"
		GlowMode	"Permanent"
		GlowColor	(0.5 0.5 0.5)
		GlowBright	0.5
		DiffMapAlpha	"Transp"
		Velocity	0
	}
	
	NoOcean         true
	NoLava          true
	NoAtmosphere	true
	NoAurora        true
	NoRings         true
	NoCometTail     true
	
	Orbit
	{
		Type           "STATIC"
		Eccentricity    0
		Inclination     0
		AscendingNode   0
		ArgOfPericenter 0
		MeanAnomaly     0
		RefPlane	"Equator"
	}
}
